#ifndef KING
#define KING
#include "../system/coordinates.h"
#include "../system/utilities.h"
#include "piece.h"
#include <vector>

/// @brief the king piece class.
class king : public piece{
    public:
        king(bool _white, coordinates _coord):
            piece(_white,_coord)
            {
                type = king_type;
                legals.push_back(coordinates(0,1));
                legals.push_back(coordinates(0,-1));
                legals.push_back(coordinates(1,0));
                legals.push_back(coordinates(1,1));
                legals.push_back(coordinates(1,-1));
                legals.push_back(coordinates(-1,0));
                legals.push_back(coordinates(-1,1));
                legals.push_back(coordinates(-1,-1));
            }
        void needed_space(coordinates dest, std::vector<coordinates> *to_calculate) override;
        void print_piece() override;
        void canonical_print_piece() override;
};

#endif