#include "coordinates.h"
#include <iostream>

/// @brief a function to get the x-axis attribute
/// @return the x attribute
int coordinates::get_x(){
    return x;
}

/// @brief a function to get the y-axis attribute
/// @return the y attribute
int coordinates::get_y(){
    return y;
}

/// @brief print the coordinates, utilized for debugging purposes
void coordinates::print(){
    std::cout << "x:" << x << " y:" << y << std::endl;
}

/// @brief change the coordinate values to move the associated piece
/// @param move_to the new coordinates
void coordinates::move(coordinates move_to){
    x = move_to.get_x();
    y = move_to.get_y();
}