#include "../system/coordinates.h"
#include "../system/utilities.h"
#include "piece.h"
#include "knight.h"
#include <vector>
#include <iostream>

/// @brief calculate a list of empty space coordinates needed for the move to be legal, assuming the move is possible
/// @param dest destination coordinates
/// @return a vector containing all coordinates to be verified
void knight::needed_space(coordinates dest, std::vector<coordinates> *to_calculate){
    // The knight doesn't need space
}

/// @brief print the piece to the standard output
void knight::print_piece(){
    if(piece::white){
        std::cout << "\u2658";
    }else{
        std::cout << "\u265E";
    }
}

/// @brief print the piece to the standard output in canonical form
void knight::canonical_print_piece(){
    if(piece::white){
        std::cout << "wN";
    }else{
        std::cout << "bN";
    }
}