#ifndef UTILITIES
#define UTILITIES
#include "coordinates.h"
#include "config.h"
#include <regex>

bool is_corresponding(coordinates start, coordinates end, coordinates movement);
void terminal_set_text_color(terminal_color color);
void terminal_set_background_color(terminal_color color);
void terminal_reset_all();
bool correct_input(std::string const & cmd);
bool standard_input(std::string const & cmd);
bool king_castle_input(std::string const & cmd);
bool queen_castle_input(std::string const & cmd);
void print_debug(int i);

#endif